### Enumeration

# GLib VariantClass

since: 2.24

#### Declaration

    enum GLib.VariantClass

#### Description [src]

The range of possible top-level types of `GVariant` instances.

Available since: 2.24

#### Members

Name | Description
--- | ---
`G_VARIANT_CLASS_BOOLEAN` | The `GVariant` is a boolean.
`G_VARIANT_CLASS_BYTE` | The `GVariant` is a byte.
`G_VARIANT_CLASS_INT16` | The `GVariant` is a signed 16 bit integer.
`G_VARIANT_CLASS_UINT16` | The `GVariant` is an unsigned 16 bit integer.
`G_VARIANT_CLASS_INT32` | The `GVariant` is a signed 32 bit integer.
`G_VARIANT_CLASS_UINT32` | The `GVariant` is an unsigned 32 bit integer.
`G_VARIANT_CLASS_INT64` | The `GVariant` is a signed 64 bit integer.
`G_VARIANT_CLASS_UINT64` | The `GVariant` is an unsigned 64 bit integer.
`G_VARIANT_CLASS_HANDLE` | The `GVariant` is a file handle index.
`G_VARIANT_CLASS_DOUBLE` | The `GVariant` is a double precision floating point value.
`G_VARIANT_CLASS_STRING` | The `GVariant` is a normal string.
`G_VARIANT_CLASS_OBJECT_PATH` | The `GVariant` is a D-Bus object path string.
`G_VARIANT_CLASS_SIGNATURE` | The `GVariant` is a D-Bus signature string.
`G_VARIANT_CLASS_VARIANT` | The `GVariant` is a variant.
`G_VARIANT_CLASS_MAYBE` | The `GVariant` is a maybe-typed value.
`G_VARIANT_CLASS_ARRAY` | The `GVariant` is an array.
`G_VARIANT_CLASS_TUPLE` | The `GVariant` is a tuple.
`G_VARIANT_CLASS_DICT_ENTRY` | The `GVariant` is a dictionary entry.